Bug 1459924 - Timeout waiting for privilege escalation prompt when become_method=su
Timeout waiting for privilege escalation prompt when become_method=su
Product: Fedora EPEL
Classification: Fedora
Component: ansible (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-08 11:04 EDT by Juan Orti
Modified: 2017-06-12 11:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-12 11:04:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2017-06-08 11:04:44 EDT
Description of problem:
When become_method=su I always get connection timeout:

fatal: []: FAILED! => {"failed": true, "msg": "Timeout (12s) waiting for privilege escalation prompt: "}

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
Comment 1 Juan Orti 2017-06-08 11:06:56 EDT
ansible- in epel-testing does not fix this issue
Comment 2 Kevin Fenzi 2017-06-11 14:41:40 EDT
It looks like 2.3.1 fixed some cases of this, but not all.
Comment 3 Juan Orti 2017-06-12 06:26:15 EDT
Ok, today I have discovered that ansible- only fails in our dev machine. It must be broken somehow, maybe some "sudo pip install" has messed the libraries.

I've installed a new centos6 box and I get no timeouts launching the playbooks from there.

You can close this bug.
Thank you.
Comment 4 Kevin Fenzi 2017-06-12 11:04:27 EDT
ok, Thanks for looking into it further and testing!
Comment 5 Juan Orti 2017-06-12 11:05:56 EDT
I've discovered what was causing the problems in my machine. I call a custom script to set the tmux window titles to the hostname I'm connecting to, this must be interfering with the authentication.

Host *
    LocalCommand /home/juan/bin/screen_ssh.sh $PPID %h %r
    PermitLocalCommand yes
    ServerAliveInterval 2
    ServerAliveCountMax 5

Kind regards.

Note You need to log in before you can comment on or make changes to this bug.